> For the complete documentation index, see [llms.txt](https://docs.tarlanpayments.kz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tarlanpayments.kz/az/t-lem-shlyuzi/k-mekshi-dister/zho-ar-y-komissiyany-esebi.md).

# Жоғарғы комиссияның есебі

<mark style="color:blue;">`GET`</mark> `https://prapi.tarlanpayments.kz/commission/api/v1/system/project/upper/commission`

#### Query Parameters

| Name                                                   | Type    | Description                                                 |
| ------------------------------------------------------ | ------- | ----------------------------------------------------------- |
| project\_id<mark style="color:red;">\*</mark>          | Integer | Төлем жүйесі беретін жобаның сәйкестендіргіші               |
| merchant\_id<mark style="color:red;">\*</mark>         | Integer | Төлем жүйесі беретін мерчант сәйкестендіргіші               |
| aggregated\_type\_id<mark style="color:red;">\*</mark> | Integer | <p> Транзакция типі</p><p>(1 - қабылдау,<br>2 - шығару)</p> |
| transaction\_amount<mark style="color:red;">\*</mark>  | Float   | Транзакция сомасы                                           |

#### Headers

| Name                                            | Type   | Description                                                                                                  |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer  Авторотациялық хэш ([Қолтаңбаны қалыптастыруға ](/az/t-lem-shlyuzi/olta-bany-alyptastyru.md)қараңыз) |

{% tabs %}
{% tab title="200: OK Сәтті жауап үлгісі" %}

```json
{
    "status": true,
    "message": "Success",
    "result": {
        "total_commission_amount": 999.00
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error Қатесі бар жауап үлгісі" %}

```json
{
    "status": false,
    "status_code": 5102,
    "message": "commission not found",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

{% code fullWidth="true" %}

```bash
curl --location 'https://prapi.tarlanpayments.kz/comission/api/v1/system/project/upper/commission?merchant_id=999&project_id=999&transaction_amount=1000.00&transaction_type_code=in' \
--header 'Authorization: Bearer sign' \
--data ''
```

{% endcode %}
